#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 lsp
version:              1.6.0.0
visibility:           public
id:                   lsp-1.6.0.0-3mgfXrOs4nYBY8raCTSUiO
key:                  lsp-1.6.0.0-3mgfXrOs4nYBY8raCTSUiO
license:              MIT
copyright:            Alan Zimmerman, 2016-2021
maintainer:           alan.zimm@gmail.com
author:               Alan Zimmerman
homepage:             https://github.com/haskell/lsp
synopsis:             Haskell library for the Microsoft Language Server Protocol
description:
    An implementation of the types, and basic message server to
    allow language implementors to support the Language Server
    Protocol for their specific language.

    An example of this is for Haskell via the Haskell Language
    Server, at https://github.com/haskell/haskell-language-server

category:             Development
abi:                  aa7bc94ea3066a65ab5b5bd4480f93ac
exposed:              True
exposed-modules:
    Language.LSP.Diagnostics, Language.LSP.Logging,
    Language.LSP.Server,
    Language.LSP.Types from lsp-types-1.6.0.0-fIIuT8laV65dJgS55XZCb:Language.LSP.Types,
    Language.LSP.Types.Capabilities from lsp-types-1.6.0.0-fIIuT8laV65dJgS55XZCb:Language.LSP.Types.Capabilities,
    Language.LSP.Types.Lens from lsp-types-1.6.0.0-fIIuT8laV65dJgS55XZCb:Language.LSP.Types.Lens,
    Language.LSP.VFS

hidden-modules:
    Language.LSP.Server.Core Language.LSP.Server.Control
    Language.LSP.Server.Processing

import-dirs:          /usr/lib/ghc-9.2.8/site-local/lsp-1.6.0.0
library-dirs:         /usr/lib/ghc-9.2.8/site-local/lsp-1.6.0.0
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-lsp
hs-libraries:         HSlsp-1.6.0.0-3mgfXrOs4nYBY8raCTSUiO
depends:
    aeson-2.1.2.1-4G6NRH3Yicj9TKX8fXoWTr
    async-2.2.5-Hxx4nU8aNwh7V1GfZTZX85
    attoparsec-0.14.4-7zFXPvsAeTc17D9FbG47Bq base-4.16.4.0
    bytestring-0.11.4.0 co-log-core-0.3.2.2-JkIBrl3CmC2ATtyDHDAqqi
    containers-0.6.5.1 data-default-0.7.1.1-JYvfHll1aet2HYdPlRdwv9
    directory-1.3.6.2 exceptions-0.10.4 filepath-1.4.2.2
    hashable-1.4.4.0-KJ184tiZpE52U0PEHxyV1r
    lens-5.2.3-JhnKgAx9k76Jin0xTqnLw0
    lsp-types-1.6.0.0-fIIuT8laV65dJgS55XZCb mtl-2.2.2
    prettyprinter-1.7.1-6Wsg7uF6NF3C9EkVjlD5S1
    random-1.2.1.2-BXSdRxlC6g4I8lxfKC5NFh
    sorted-list-0.2.2.0-KNNiAtmyG0N38iADY52sMM stm-2.5.0.2
    temporary-1.3-92h1kCtCGR4FaQHxoGuxwh text-1.2.5.0
    text-rope-0.2-LWcTQSPRYP62rsWOFGA1Qy transformers-0.5.6.2
    unliftio-core-0.2.1.0-2wlRerPMhUe3AYGiMsYOzn
    unordered-containers-0.2.20-4hqmnCstShmJXjUlp61Lcu
    uuid-1.3.15-7dlZ5e7FtKwKVMt3dzHFPs

haddock-interfaces:   /usr/share/doc/haskell-lsp/html/lsp.haddock
haddock-html:         /usr/share/doc/haskell-lsp/html
' | '/usr/bin/ghc-pkg-9.2.8' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

